API reference

minimal endpoints used by the CLI and dashboard.

health

$ curl https://shareavideo.ai/api/health

list videos

requires authenticated cookie session or bearer token.

$ curl -H "Authorization: Bearer <token>" https://shareavideo.ai/api/videos

current identity

returns the authenticated account for either session cookie or bearer token.

$ curl -H "Authorization: Bearer <token>" https://shareavideo.ai/api/me

initialize upload

$ curl -X POST https://shareavideo.ai/api/videos/init-upload \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{"fileName":"demo.mp4","mimeType":"video/mp4"}'

complete upload

$ curl -X POST https://shareavideo.ai/api/videos/<video-id>/complete-upload \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{"sizeBytes":1234567}'

get one video

$ curl -H "Authorization: Bearer <token>" https://shareavideo.ai/api/videos/<video-id>